#include <dos.h>
#include <stdio.h>
#include <conio.h>

void main(void);

void main(void) {

	union REGS	inregs, outregs;
	unsigned char	i;

	// пробуем 16 цветов для рамки

	for(i = 0; i < 16; i++) {

		// Функция управления контроллером атрибутов

		inregs.h.ah = 0x10;		

		// Подфункция установки цвета рамки

		inregs.h.al = 0x1;	

		// Номер нового цвета рамки

		inregs.h.bh = i;

		int86( 0x10, &inregs, &outregs );

		// Ожидаем нажатия на любую клавишу
		printf("\nДля изменения цвета рамки нажмите любую клавишу...");
		getch();
	}
}
